<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPph23AmountToStocktransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('stocktransactions', function (Blueprint $table) {
            $table->decimal('pph23_amount', 15, 2)
                ->nullable()
                ->after('cash_change');
            $table->decimal('pph22_amount', 15, 2)
                ->nullable()
                ->after('pph23_amount');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('stocktransactions', function (Blueprint $table) {
            $table->dropColumn(['pph23_amount', 'pph22_amount']);
        });
    }
}
